import { VDomModel } from '@jupyterlab/apputils';
import { KernelMessage } from '@jupyterlab/services';
export declare class BytecodeModel extends VDomModel {
    constructor();
    formatKernelMessage(fileContent: string): string;
    handleKernelMessage: (msg: KernelMessage.IIOPubMessage) => void;
    notify(): void;
    readonly output: string;
    readonly error: string;
    isLight: boolean;
    private _output;
    private _error;
    private _isLight;
}
